Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 205184 - gdm-binary polls every 100ms, and thus wakes the process up every 100ms
Summary: gdm-binary polls every 100ms, and thus wakes the process up every 100ms
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target wakeup
TreeView+ depends on / blocked
 
Reported: 2006-09-05 11:45 UTC by Arjan van de Ven
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-14 06:44:40 UTC


Attachments (Terms of Use)

Description Arjan van de Ven 2006-09-05 11:45:46 UTC
Description of problem:
    monitor->priv->poll_timeout_id =
            g_timeout_add_full (G_PRIORITY_DEFAULT_IDLE,
                                SC_SECURITY_TOKEN_MONITOR_POLL_INTERVAL,
                                (GSourceFunc)
                               
sc_security_token_monitor_check_for_and_process_events,
                                monitor, (GDestroyNotify)
                                sc_security_token_monitor_polling_stopped_handler);


with....
#define SC_SECURITY_TOKEN_MONITOR_POLL_INTERVAL 100     /* ms */


this is clearly evil (it wakes the processor up every 100msec) and it's running
all the time when logged into gnome!

Comment 1 Arjan van de Ven 2006-09-05 12:12:24 UTC
why btw is gdm doing this when I'm already logged in?
(not that there's an excuse to do it even when not logged in...)

Comment 2 Ray Strode [halfline] 2006-09-05 15:10:42 UTC
This is a known problem that is targetted to get fixed before FC6.

See bug 201860.  Both gdm and g-s use the same code for this particular bit, but
i'll leave this report open to track getting the fix into the actual package.

Comment 3 Ray Strode [halfline] 2006-09-14 06:44:40 UTC
should be fixed in the next build. Please reopen if it's still causing you
problems in gdm-2.16.0-4.fc6


Note You need to log in before you can comment on or make changes to this bug.